.ou-justedit-region {
  /*background-color: #FFFFFF !important;*/
  /*color: #000000 !important;*/
  padding: 15px;
  width: 98%;
}

/* Fix issue with bootstrap buttons in WYSIWYG */
.ou-justedit-region .btn {
  -webkit-user-select: text;
  -moz-user-select: text;
  -ms-user-select: text;
  user-select: text;
}

.ou-justedit-region table {
  width: 100%;
  table-layout: fixed;
}

.ou-justedit-region table[class^="ou-"],
.ou-justedit-region table[data-snippet^="ou-"] {
  width: 100%;
  cursor: default;
  margin: 32px 0 !important;
}

.ou-justedit-region table[class^="ou-"] td,
.ou-justedit-region table[data-snippet^="ou-"] td {
  position: relative !important;
}

.ou-justedit-region table[class^="ou-"] img:not(.mce-object-iframe),
.ou-justedit-region table[data-snippet^="ou-"] img:not(.mce-object-iframe) {
  max-width: 100%;
  max-height: 100%;
  width: auto;
  height: auto;
}

.ou-justedit-region table[class^="ou-"],
.ou-justedit-region table[data-snippet^="ou-"],
.ou-justedit-region .mce-item-table,
.ou-justedit-region .mce-item-table td,
.ou-justedit-region .mce-item-table th,
.ou-justedit-region .mce-item-table caption {
  border-collapse: separate;
  border-spacing: 0px;
  border: 1px solid #d2d2d2;
  box-sizing: border-box;
  background-color: #FFF;
}

.ou-justedit-region table[class^="ou-"] thead tr th,
.ou-justedit-region table[class^="ou-"] tbody tr th,
.ou-justedit-region table[class^="ou-"] caption,
.ou-justedit-region table[class^="ou-"] thead tr td,
.ou-justedit-region table[data-snippet^="ou-"] thead tr th,
.ou-justedit-region table[data-snippet^="ou-"] tbody tr th,
.ou-justedit-region table[data-snippet^="ou-"] caption,
.ou-justedit-region table[data-snippet^="ou-"] thead tr td {
  font-weight: 800;
}

.ou-justedit-region table[class^="ou-"] thead tr th,
.ou-justedit-region table[class^="ou-"] tbody tr th,
.ou-justedit-region table[class^="ou-"] caption,
.ou-justedit-region table[class^="ou-"] thead tr td,
.ou-justedit-region table[class^="ou-"] tbody tr td,
.ou-justedit-region table[data-snippet^="ou-"] thead tr th,
.ou-justedit-region table[data-snippet^="ou-"] tbody tr th,
.ou-justedit-region table[data-snippet^="ou-"] caption,
.ou-justedit-region table[data-snippet^="ou-"] thead tr td,
.ou-justedit-region table[data-snippet^="ou-"] tbody tr td {
  color: #000;
  font-size: 14px;
  padding-top: 10px;
  padding-bottom: 10px;
  padding-left: 5px;
  padding-right: 5px;
  vertical-align: top;
}

.ou-justedit-region table[class^="ou-"] thead tr th,
.ou-justedit-region table[class^="ou-"] tbody tr th,
.ou-justedit-region table[class^="ou-"] caption,
.ou-justedit-region table[data-snippet^="ou-"] thead tr th,
.ou-justedit-region table[data-snippet^="ou-"] tbody tr th,
.ou-justedit-region table[data-snippet^="ou-"] caption {
  background: none repeat scroll 0 0 #f0f0f0;
  color: #333;
  font-weight: 600;
  font-size: 14px;
}

.ou-justedit-region table[class^="ou-"] caption,
.ou-justedit-region table[data-snippet^="ou-"] caption {
  font-size: 18px;
  text-align: center;
  background-image: linear-gradient(to bottom, #f9f9f9, #d3d3d3);
  margin: 0px;
  border-bottom: 0;
  caption-side: top;
}

.ou-justedit-region
  table.ou-[data-gallery-type="slick"]
  tr[data-gallery-type="fancybox"],
.ou-justedit-region
  table.ou-[data-gallery-type="fancybox"]
  tr[data-gallery-type="slick"] {
  display: none;
}

/********************
 * Component Preview Helper Styles
 ***/

div.ou-je-component [data-ouc-test=""] {
  display: none;
}

div.ou-je-component [data-ouc-not]:not([data-ouc-not=""]) {
  display: none;
}

div.ou-je-component [data-ouc-justedit]::before {
  display: block;
  width: 100%;
  font-weight: bold;
  padding: 5px 15px;
  margin-bottom: 10px;
  border: 1px solid #bce8f1;
  color: #31708f;
  background-color: #d9edf7;
  content: "The content you see in the editor is a sample render intended for WYSIWYG preview only. Once you save the page, you will see the actual rendered element.";
}

/***
 * /Component Preview Helper Styles
 ********************/

/********************************
 * START Table Input Hint Styling
 ********************************/

/* Generic table "tool-tip/alert" info styling */
.ou-justedit-region table[class^="ou-"] th:before,
.ou-justedit-region table[class^="ou-"] td:before,
.ou-justedit-region table[class^="ou-"] caption:before,
.ou-justedit-region table[class^="ou-"]:before,
.ou-justedit-region table[data-snippet^="ou-"] th:before,
.ou-justedit-region table[data-snippet^="ou-"] td:before,
.ou-justedit-region table[data-snippet^="ou-"] caption:before,
.ou-justedit-region table[data-snippet^="ou-"]:before {
  display: block;
  padding: 5px 15px;
  margin-bottom: 10px;
  border: 1px solid transparent;
  border-radius: 4px;
  color: #31708f;
  background-color: #d9edf7;
  border-color: #bce8f1;
}

/********************************
 * END Table Input Hint Styling
 ********************************/

/* default helper text for different content type */
table[data-snippet^="ou-"] thead th {
  text-align: center;
}

table[data-snippet^="ou-"] > tbody > tr > td::before {
  content: "Enter text. All styling will be stripped.";
}

table[data-snippet^="ou-"] td[data-type="wysiwyg"]::before {
  content: "Enter content freely using the WYSIWYG toolbar.";
}

table[data-snippet^="ou-"] td[data-type="heading-wysiwyg"]::before {
  content: "Enter heading content using the WYSIWYG toolbar (including line break elements).";
}

table[data-snippet^="ou-"] td[data-type="heading"]::before {
  content: "Enter heading text. All styling will be stripped.";
}

table[data-snippet^="ou-"] td[data-type="text-link"]::before {
  content: "Enter text. Optionally, make it a link.";
}

table[data-snippet^="ou-"] td[data-type="link"]::before {
  content: "Insert a link using the WYSIWYG toolbar. The system only reads the first link inside this cell.";
}

table[data-snippet^="ou-"] td[data-type="links"]::before {
  content: "Insert a bulleted list of links using the WYSIWYG toolbar. The system only reads links inside this cell.";
}

table[data-snippet^="ou-"] td[data-type="list"]::before {
  content: "Insert multiple links using the WYSIWYG toolbar. The system only reads links inside this cell.";
}

table[data-snippet^="ou-"] td[data-type="image-link"]::before {
  content: "Insert an image using the WYSIWYG toolbar. Optionally, make it a link. The system only reads the first image inside this cell.";
}

table[data-snippet^="ou-"] td[data-type="image"]::before {
  content: "Insert an image using the WYSIWYG toolbar. The system only reads the first image inside this cell.";
}

table[data-snippet^="ou-"] td[data-type="images"]::before {
  content: "Insert multiple images using the WYSIWYG toolbar. The system only reads images inside this cell.";
}

table[data-snippet^="ou-"] td[data-type="number"]::before {
  content: "Enter a number. This field must be a number.";
}

table[data-snippet^="ou-"] td[data-type="list"]::before {
  content: "Enter a list using the WYSIWYG. The system only reads list items inside this cell.";
}

table[data-snippet^="ou-"] td[data-type="snippet"]::before {
  content: "Insert a specific snippet. Please refer to the documentation to see which snippets are supported.";
}

table[data-snippet^="ou-"] td[data-type="snippets"]::before {
  content: "Insert one or more snippets. Please refer to the documentation to see which snippets are supported.";
}

table[data-snippet^="ou-"] td[data-type="iframe"]::before {
  content: "Insert a video using the WYSIWYG. The system only reads the first video inside this cell.";
}

table[data-snippet^="ou-"] td[data-type="asset"]::before {
  content: "Insert an asset. This cell only reads the first asset.";
}

table[data-snippet^="ou-"] td[data-type="asset"][data-asset="gallery"]::before {
  content: "Insert a gallery asset. This cell only reads the first gallery asset.";
}

table[data-snippet^="ou-"] td[data-select-list]::before {
  content: "This is a multiple-choice cell. Click on the cell to view your list of options.";
}

table[data-snippet^="ou-"]
  td[data-type="element"][data-elements="table"]::before {
  content: "Insert a table using the WYSIWYG toolbar. This cell only supports 1 table.";
}

table[data-snippet^="ou-"] td[data-name="feed-parser-config"]::before {
  content: "Please link to a simplified feed parsing configuration file.";
}

table[data-snippet] td[data-name="subheading"]::before {
  content: "Enter subheading text. All styling will be stripped.";
}

table[data-snippet^="ou-"] {
  counter-reset: items;
}

table[data-snippet^="ou-"] > tbody > tr[data-name="item"] {
  counter-increment: items;
}


/* example of helper text */
.ou-justedit-region table.ou-table-class > tbody > tr > td:nth-child(1):before {
  content: "Add your content and style via WYSIWYG editor toolbar";
}

/* Start MH Dev Custom Styles*/

/*Helper text on entire table*/

table[data-snippet^="ou-"] td[data-name="instructional-heading"] {
	background-color: #dddddd;
	text-align: center;
	font-size: 40px;
}

/*Background for repeating rows*/

table[data-snippet^="ou-"] tr[data-name="item"] {
	background-color: #f6f6fa;
}

table[data-snippet^="ou-"] tr[data-name="row"] {
	background-color: #f6f6fa;
}

table[data-snippet^="ou-"] tr[data-name="stat-item"] {
	background-color: #f6f6fa;
}

/*Custom Table Elements*/

table[data-snippet^="ou-table-"] tr[data-name="header-row"] td {
	background-color: #dddddd !important;
}

table[data-snippet^="ou-table-"] td::before {
	content: none !important;
}

/*Other general custom patterns*/

table[data-snippet^="ou-"] td[data-name='id']::before {
	content: "(Optional) Insert text for element ID (can be used for anchor links)."
}

table[data-snippet^="ou-"] td[data-name="mobile-image"]::before {
  content: "Insert an image for MOBILE using the WYSIWYG toolbar. The system only reads the first image inside this cell.";
}

table[data-snippet^="ou-"] td[data-name="theme"]::before {
  content: "Select the color theme for this element.";
}

table[data-snippet^="ou-"] td[data-name="stats-number"]::before {
  content: "Enter text for stat number. All styling will be stripped.";
}

table[data-snippet^="ou-"] td[data-name="stats-item"]::before {
  content: "Enter text for stat item. All styling will be stripped.";
}

table[data-snippet^="ou-"] td[data-name="count"]::before {
  content: "Select the number of items to display.";
}

table[data-snippet^="ou-"] td[data-name="youtube-id"]::before {
  content: "Paste a valid YouTube video ID (ID only).";
}

table[data-snippet^="ou-"] td[data-name="title"]::before {
  content: "Enter title text. All styling will be stripped.";
}
table[data-snippet^="ou-"] td[data-name="teaser"]::before {
  content: "Enter teaser text. All styling will be stripped.";
}

table[data-snippet^="ou-"] td[data-name="video-link"]::before {
  content: "Insert a link to the video using the WYSIWYG toolbar (using Insert/Edit Link tool).";
}

table[data-snippet^="ou-"] td[data-name="video-poster"]::before {
  content: "Insert a video placeholder image using the WYSIWYG toolbar (using Insert/Edit Image tool).";
}

table[data-snippet^="ou-"] td[data-name="dropdown-text"]::before {
  content: "Enter main text for the dropdown.";
}

table[data-snippet^="ou-"] td[data-name="dropdown-links"]::before {
  content: "Enter a bulleted list of links for the dropdown.";
}

table[data-snippet^="ou-"] td[data-name="sub-heading"]::before {
  content: "Enter sub-heading text. All styling will be stripped.";
}

table[data-snippet^="ou-"] td[data-name="heading-1"]::before {
  content: "Enter text for the first part of the heading. All styling will be stripped.";
}

table[data-snippet^="ou-"] td[data-name="heading-2"]::before {
  content: "Enter text for the second part of the heading. All styling will be stripped.";
}

table[data-snippet^="ou-"] td[data-name="stat-asset"]::before {
  content: "Insert a single stat asset.";
}

table[data-snippet^="ou-"] td[data-name="date-1"]::before {
  content: "Enter text for the first part of the date.";
}

table[data-snippet^="ou-"] td[data-name="date-2"]::before {
  content: "Enter text for the second part of the date.";
}

table[data-snippet^="ou-"] td[data-name="main-content"]::before {
  content: "Enter main content using the WYSIWYG toolbar.";
}

table[data-snippet^="ou-"] td[data-name="main-teaser"]::before {
  content: "Enter main teaser text. Styling will be stripped.";
}

table[data-snippet^="ou-"] td[data-name="stat-content"]::before {
  content: "Enter stat content using the WYSIWYG toolbar.";
}

table[data-snippet^="ou-"] td[data-name="stat-teaser"]::before {
  content: "Enter stat teaser text. Styling will be stripped.";
}

/*Custom snippet-specific helper text*/

table[data-snippet="ou-accordion"] td[data-name='heading']::before {
	content: "Insert heading text for this accordion item."
}
table[data-snippet="ou-accordion"] td[data-name='content']::before {
	content: "Freely insert content using the WYSIWYG toolbar for this accordion item."
}

table[data-snippet="ou-split-content-section"] td[data-name='reverse']::before {
	content: "Reverse order? If true, image will appear to left of content."
}
table[data-snippet="ou-split-content-section"] td[data-name='set-50-50']::before {
	content: "Set to 50/50? If true, image and content will take up half of container. Otherwise, image will only take up 1/3."
}

table[data-snippet="ou-homepage-campus-tour"] td[data-name='image-1']::before {
	content: "Insert an image for the first item using the WYSIWYG toolbar."
}
table[data-snippet="ou-homepage-campus-tour"] td[data-name='title-1']::before {
	content: "Enter title text for the first item."
}
table[data-snippet="ou-homepage-campus-tour"] td[data-name='link-1']::before {
	content: "Insert a link for the first item using the WYSIWYG toolbar."
}

table[data-snippet="ou-homepage-campus-tour"] td[data-name='image-2']::before {
	content: "Insert an image for the second item using the WYSIWYG toolbar."
}
table[data-snippet="ou-homepage-campus-tour"] td[data-name='title-2']::before {
	content: "Enter title text for the second item."
}
table[data-snippet="ou-homepage-campus-tour"] td[data-name='link-2']::before {
	content: "Insert a link for the second item using the WYSIWYG toolbar."
}

table[data-snippet="ou-uh-in-the-news"] td[data-name='link']::before {
	content: "Insert a link to this news item. Link text is used for the title."
}
table[data-snippet="ou-uh-in-the-news"] td[data-name='source']::before {
	content: "Enter text of the news source."
}

.tox-tiered-menu .tox-selected-menu {
  max-height: 50vh !important;
}
/* Start Utilities */
table[data-snippet^="ou-"] td[data-name$="-subtitle"]::before {
    content: "Subtitle";
}
table[data-snippet^="ou-"] td[data-name$="-tag"]::before { 
    content: "(Optional) Tags - Limit 3";
}
table[data-snippet^="ou-"] td[data-name$="-width"]::before {
    content: "Width";
}
table[data-snippet^="ou-"] td[data-name$="-size"]::before {
    content: "Size";
}
table[data-snippet^="ou-"] td[data-name$="-alignment"]::before {
    content: "Content Alignment";
} 
table[data-snippet^="ou-"] td[data-name$="-mb"]::before {
    content: "Add Space After";
}
table[data-snippet^="ou-"] td[data-name$="-bg"]::before {
    content: "Background";
} 
table[data-snippet^="ou-"] td[data-name$="-bg-image"]::before {
    content: "Background Image: Enter Dependency Tag.";
}
table[data-snippet^="ou-"] td[data-name$="-bg-color-overlay"]::before {
    content: "Background Image Color Overlay";
}
table[data-snippet^="ou-"] td[data-name$="-bg-opacity"]::before {
    content: "Background Image Color Overlay Opacity";
}
table[data-snippet^="ou-"] td[data-name$="-count-sm"]::before {
    content: "Count for Small Devices";
}
table[data-snippet^="ou-"] td[data-name$="-count-md"]::before {
    content: "Count for Medium Devices";
}
table[data-snippet^="ou-"] td[data-name$="-count-lg"]::before {
    content: "Count for Large Devices";
}
table[data-snippet^="ou-"] td[data-name$="-count-xl"]::before {
    content: "Count for Extra Large Devices";
}
table[data-snippet^="ou-"] td[data-name$="-gap"]::before {
    content: "Add Space Between";
}
table[data-snippet^="ou-"] td[data-name$="-name"]::before { 
    content: "Name";
}
table[data-snippet^="ou-"] td[data-name$="-email"]::before {
    content: "(Optional) Email";
}
table[data-snippet^="ou-"] td[data-name$="-phone"]::before {
    content: "(Optional) Phone";
}
table[data-snippet^="ou-"] td[data-name$="-orientation"]::before {
    content: "Orientation";
}
table[data-snippet^="ou-"] td[data-name$="-img"]::before { 
    content: "Image";
}
table[data-snippet^="ou-"] td[data-name$="-link"]::before { 
    content: "Link";
}
table[data-snippet^="ou-"] td[data-name$="-descr"]::before {
    content: "Description";
}
table[data-snippet^="ou-"] td[data-name$="-heading-level"]::before { 
    content: "Heading Level";
}
table[data-snippet^="ou-"] td[data-name$="-content-heading"]::before {
    content: "Heading";
}
table[data-snippet^="ou-"] td[data-name$="-button-display-text"]::before {
    content: "Button Display Text";
}
table[data-snippet^="ou-"] td[data-name$="-button-link"]::before {
    content: "Button Link";
}
/* End Utilities */
/* Start Button */
table[data-snippet^="ou-"] td[data-name="button-color"]::before {
  content: "Button Background Color";
}

table[data-snippet^="ou-"] td[data-name="button-behavior"]::before {
  content: "Button Behavior";
}

table[data-snippet^="ou-"] td[data-name="button-width"]::before {
  content: "Button Width";
}

table[data-snippet^="ou-"] td[data-name="button-display-text"]::before {
  content: "Display Text: Enter text to display.";
}

table[data-snippet^="ou-"] td[data-name="button-screen-reader-text"]::before {
  content: "Button Screen Reader Text";
}

table[data-snippet^="ou-"] td[data-name="button-link"]::before {
    content: "Link: Enter a dependency tag for internal links or a full URL for external sites.";
  }

table[data-snippet^="ou-"] td[data-name$="-gtm"]::before {
  content: "GTM Class Name";
}
/* End Button */

/* Start Card - General */

table[data-snippet^="ou-"] td[data-name="gc-title"]::before {
    content: "Title";
}
/* End Card - General */

/* Start Card - People */
table[data-snippet^="ou-"] td[data-name$="-org"]::before {
    content: "Organization Name (College, Institution, Department, etc.)";
}
table[data-snippet^="ou-"] td[data-name="ppl-link"]::before {
    content: "(Optional) Bio Link";
}
table[data-snippet^="ou-"] td[data-name="ppl-title"]::before { 
    content: "Title - Limit 3";
}
/* End Card - People */

/* Start Card - Testimonial */
table[data-snippet^="ou-"] td[data-name="testi-style"]::before {
    content: "Card Style: Select border and padding options for the testimonial card.";
}
table[data-snippet^="ou-"] td[data-name="testi-bg"]::before {
    content: "Background Color";
}
table[data-snippet^="ou-"] td[data-name="testi-quote"]::before {
    content: "Testimonial Quote: Enter the testimonial text. All styling will be stripped.";
}
table[data-snippet^="ou-"] td[data-name="testi-img"]::before {
    content: "(Optional) Author Photo: Insert an image using the WYSIWYG toolbar. The system only reads the first image inside this cell.";
}
table[data-snippet^="ou-"] td[data-name="testi-name"]::before {
    content: "Author Name: Enter the person's full name. All styling will be stripped.";
}
table[data-snippet^="ou-"] td[data-name="testi-title"]::before {
    content: "Author Title and Organization: Enter the person's job title and company/organization. All styling will be stripped.";
}
/* End Card - Testimonial */

/* Start Card - Program */
table[data-snippet^="ou-"] td[data-name="prog-heading"]::before { 
    content: "Heading";
}
table[data-snippet^="ou-"] td[data-name="prog-button-display-text"]::before { 
    content: "Button Display Text";
}
table[data-snippet^="ou-"] td[data-name="prog-button-link"]::before { 
    content: "Button Link";
}
/* End Card - Program */
/* Start Stat-Feature */
table[data-snippet^="ou-"] td[data-name="stats-template"]::before {
    content: "Page Template";
}
/* End Stat-Feature */
/* Start Video Hero */
table[data-snippet^="ou-"] td[data-name="video-type"]::before {
    content: "Video Type";
}
table[data-snippet^="ou-"] td[data-name="video-date"]::before {
    content: "Video Date";
}
table[data-snippet^="ou-"] td[data-name="video-duration"]::before {
    content: "Video Duration";
}
table[data-snippet^="ou-"] td[data-name="video-title"]::before { 
    content: "Video Title";
}
/* End Video Hero */

/*Start Arts Mega Menu and Elements*/

table[data-snippet="ou-arts-header-main-links"] td[data-name="heading"]::before { 
    content: "Insert main tab text for this item. Font style will appear different in the rendered menu for the first item. Use the Insert Line Break button in the toolbar if a new line is needed.";
}
table[data-snippet="ou-arts-header-main-links"] td[data-name^="col-links-"]::before { 
    content: "Insert one or more instances of the Arts Mega Nav - Header Links Group snippet.";
}
table[data-snippet="ou-arts-header-main-links"] td[data-name="single-links"]::before { 
    content: "Insert a bulleted list of links for the single links that come at the end. Do not duplicate this row.";
}
table[data-snippet="ou-arts-header-main-links"] td[data-name="button-links"]::before { 
    content: "Insert a bulleted list of links for the button links that come at the end. Do not duplicate this row.";
}

table[data-snippet="ou-arts-hero-large"] td[data-name="primary-link"]::before { 
    content: "Insert a single link using the WYSIWYG toolbar. This is used for the primary button link.";
}
table[data-snippet="ou-arts-hero-large"] td[data-name="secondary-link"]::before { 
    content: "Insert a single link using the WYSIWYG toolbar. This is used for the secondary button link.";
}

table[data-snippet="ou-content-cards-tall-container"] td[data-name="content"]::before { 
    content: "Insert one or more Content Card Row snippets.";
}
table[data-snippet^="ou-content-cards-tall-"] td[data-name^="content-"]::before { 
    content: "Insert a Content Card snippet.";
}

table[data-snippet^="ou-content-card-"] td[data-name="left-text"]::before { 
    content: "Insert left text (will be red). Styling will be stripped.";
}
table[data-snippet^="ou-content-card-"] td[data-name="right-text"]::before { 
    content: "Insert right text (will be red). Styling will be stripped.";
}
table[data-snippet^="ou-content-card-"] td[data-name="small-text"]::before { 
    content: "Insert small text. Styling will be stripped.";
}

table[data-snippet="ou-content-block-full"] td[data-name="style"]::before { 
    content: "Select overlay style.";
}
table[data-snippet="ou-content-block-full"] td[data-name="left-text"]::before { 
    content: "Insert left text. Styling will be stripped.";
}
table[data-snippet="ou-content-block-full"] td[data-name="right-text"]::before { 
    content: "Insert right text. Styling will be stripped.";
}
table[data-snippet="ou-content-block-full"] td[data-name="primary-link"]::before { 
    content: "Insert a single link using the WYSIWYG toolbar. This is used for the primary button link.";
}
table[data-snippet="ou-content-block-full"] td[data-name="secondary-link"]::before { 
    content: "Insert a single link using the WYSIWYG toolbar. This is used for the secondary button link.";
}

table[data-snippet="ou-featured-text-block"] td[data-name="style"]::before { 
    content: "Select color theme.";
}
table[data-snippet="ou-featured-text-block"] td[data-name="text-eyebrow"]::before { 
    content: "Enter plain text for the eyebrow text.";
}
table[data-snippet="ou-featured-text-block"] td[data-name="text-big"]::before { 
    content: "Enter plain text for the large text.";
}
table[data-snippet="ou-featured-text-block"] td[data-name="text-bottom"]::before { 
    content: "Enter plain text for the bottom text.";
}

table[data-snippet="ou-arts-secondary-nav"] td[data-name="content"]::before { 
    content: "Use the WYSIWYG toolbar to insert a heading of any size. This text will render in all caps on the page.";
}
table[data-snippet="ou-arts-secondary-nav"] td[data-name="style"]::before { 
    content: "Select background theme.";
}

table[data-snippet="ou-sidebar-event-info"] td[data-name="images"]::before { 
    content: "Insert a bulleted list of icon images. Then insert a link on each image.";
}

table[data-snippet="ou-arts-side-by-side"] td[data-name="side"]::before { 
    content: "Select which side the image will appear.";
}
table[data-snippet="ou-arts-side-by-side"] td[data-name="primary-link"]::before { 
    content: "Insert a single link using the WYSIWYG toolbar. This is used for the primary button link.";
}
table[data-snippet="ou-arts-side-by-side"] td[data-name="secondary-link"]::before { 
    content: "Insert a single link using the WYSIWYG toolbar. This is used for the secondary button link.";
}

table[data-snippet="ou-arts-side-by-side-lightbox"] td[data-name="side"]::before { 
    content: "Select which side the lightbox will appear.";
}
table[data-snippet="ou-arts-side-by-side-lightbox"] td[data-name="primary-link"]::before { 
    content: "Insert a single link using the WYSIWYG toolbar. This is used for the primary button link.";
}
table[data-snippet="ou-arts-side-by-side-lightbox"] td[data-name="secondary-link"]::before { 
    content: "Insert a single link using the WYSIWYG toolbar. This is used for the secondary button link.";
}
table[data-snippet="ou-arts-side-by-side-lightbox"] td[data-name="lightbox"]::before { 
    content: "Insert one instance of the Arts Lightbox component.";
}

table[data-snippet="ou-arts-lightbox-sidebar"] td[data-name="lightbox"]::before { 
    content: "Insert one instance of the Arts Lightbox component.";
}
table[data-snippet="ou-arts-lightbox-sidebar"] td[data-name="side"]::before { 
    content: "Select which side the lightbox will appear.";
}

/*End Arts Mega Menu and Elements*/

/* Start CTA Snippet */
table[data-snippet^="ou-"] td[data-name$="-icon"]::before {
    content: "Bootstrap Icon Class Name";
}

table[data-snippet^="ou-"] td[data-name$="-display-icon"]::before {
    content: "Display Icon";
}

table[data-snippet^="ou-"] td[data-name$="-size-icon"]::before {
    content: "Icon Size";
}

table[data-snippet^="ou-"] td[data-name$="-position-icon"]::before {
    content: "Icon Position";
}
/* End CTA Snippet */
table[data-snippet^="ou-"] td[data-name$="-anchor"]::before {
  content: "Anchor";
}







/* Landing Hero v2 / Landing Hero 2-Col Snippet config */

table[data-snippet^="ou-landing-hero-v2"] td[data-name="theme"]::before {
content: "Select the color theme for this element. The theme will only apply if no image is used.";
}

/* Gradient overlay helper text */
table[data-snippet="ou-landing-hero-v2"] td[data-name="hero__overlay"]::before {
content: "Choose 'gradient' to add a dark overlay to improve text readability.";
white-space: pre-wrap;
}

/* Text color helper text */
table[data-snippet="ou-landing-hero-v2"] td[data-name="text-color"][data-select-list]::before {
content: "Choose white text color for dark backgrounds and black text color for light backgrounds." !important;
white-space: pre-wrap !important;
}

/* Left lead text helper text */
table[data-snippet="ou-landing-hero-v2"] td[data-name="left-lead-text"]::before {
content: "Choose 'yes' to apply lead paragraph styling (larger text) or 'no' for standard paragraph styling.";
white-space: pre-wrap;
}







/* 2 column version */

table[data-snippet^="ou-landing-hero-2-col"] td[data-name="theme"]::before {
content: "Select the color theme for this element. The theme will only apply if no image is used.";
}
/* Gradient overlay helper text */
table[data-snippet="ou-landing-hero-2-col"] td[data-name="hero__overlay"]::before {
content: "Choose 'gradient' to add a dark overlay to improve text readability.";
white-space: pre-wrap;
}

/* Text color helper text */
table[data-snippet="ou-landing-hero-2-col"] td[data-name="text-color"]::before {
content: "Choose white text color for dark backgrounds and black text color for light backgrounds.";
white-space: pre-wrap;
}

/* Left lead text helper text */
table[data-snippet="ou-landing-hero-2-col"] td[data-name="left-lead-text"]::before {
content: "Choose 'yes' to apply lead paragraph styling (larger text) to the left column content or 'no' for standard paragraph styling.";
white-space: pre-wrap;
}


/* Right column content helper text */
table[data-snippet="ou-landing-hero-2-col"] td[data-name="right-column"]::before {
content: "Add embed codes, forms, videos, or other content for the right column.";
white-space: pre-wrap;
}
/* end */